%
% a=finda(beta)
%
function a=finda(beta)
global P;
global Q;
global W;
%
% get phi and theta.
%
phi=beta(1:P);
theta=beta(P+1:P+Q);
%
% initially set all a's to 0.
%
a=zeros(size(W));
n=length(a);
%
% Now, compute the a's from q+1 on.
%
for t=Q+1:n,
  a(t)=W(t);
  for i=1:min([t-1; P])
    a(t)=a(t)-phi(i)*W(t-i);
  end;
  for i=1:Q,
    a(t)=a(t)+theta(i)*a(t-i);
  end;
end;

