%
% J=findaj(beta)
%
function J=findaj(beta)
global P;
global Q;
global W;
%
% get phi and theta.
%
phi=beta(1:P);
theta=beta(P+1:P+Q);
n=length(W);
m=length(beta);
%
% allocate space for J.
%
J=zeros(n,m);
%
% Loop through the m parameters, computing a column of J each time.
%
for i=1:m,
  beta2=beta;
  delta=1.0e-5;
  beta2(i)=beta2(i)+delta;
  J(:,i)=(finda(beta2)-finda(beta))/delta;
end;
